# acl提供给投诉分析的接口

部署环境 133.96.94.176:12128
192.168.70.125:12128
本地环境 127.0.0.1:12128

## 鉴权接口

入参说明
token 从top系统带来的token
fromSystem 参数是从top系统带过来的 投诉预测应为 top
system 固定为fenxi

```http
POST http://133.96.94.176:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_hebei1",
  "fromSystem": "test",
  "system": "fenxi"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 15 Jul 2022 05:02:18 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "id": 10,
    "account": "test_hebei",
    "name": "测试用户_全省",
    "status": null,
    "city": "河北省"
  }
}

```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 15 Jul 2022 05:02:42 GMT
Connection: close

{
  "success": false,
  "code": 0,
  "message": "用户不存在",
  "data": {
    "redirect": "https://133.96.90.208/login"
  }
}

```
