package com.nokia.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nokia.pojo.CityEntity;
import com.nokia.vo.FlowOrgVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CityDao extends BaseMapper<CityEntity> {
    @Select("select * from sqmdb_rpt.acl_city where city_id = #{cityId}")
    CityEntity findByCityId(Integer cityId);

    @Select("select city_id as org_id, city_name_zh as org_name from sqmdb_rpt.acl_city where city_id = #{cityId}")
    FlowOrgVo findOrgByCityId(Integer cityId);
}
