package com.nokia.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;


/**
 * 城市
 */
@Data
@TableName("sqmdb_rpt.acl_city")
public class CityEntity implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer cityId;
    // 城市中文名
    private String cityNameZh;
    // 城市英文名
    private String cityNameEn;
    // 排序
    private Integer ord;
}
