package com.nokia.service.Flow;

import com.nokia.vo.FlowRoleVo;
import com.nokia.vo.FlowUserVo;

import java.util.List;

public interface FlowService {
    List<FlowRoleVo> findRoleList(String username);
    List<FlowUserVo> findToPage();
    FlowUserVo getByLoginId(String loginId);
    FlowUserVo getByUserId(Integer userId);
    List<Integer> findRoleIdByUserId(Integer userId);
    List<Integer> findUserIdByRoleId(Integer roleId);
    List<FlowUserVo> findAuthorizedUser(String loginId, Integer roleId, String username);
}
