package com.nokia;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;



@SpringBootTest
public class MainTest {
    @Test
    public void test() {
        String json;
        json = "{\"number\": \"abc\"}";
        JSONObject object = JSON.parseObject(json);
        System.out.println(object);
        System.out.println(object.getInteger("number"));
    }

    @Autowired
    RedisTemplate<String, Object> redisTemplate;

    @Test
    public void clearRedisTemplate() {
        redisTemplate.delete("eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6Ijc3NmM5MDg1LTNhNWUtNGVlYS04YWVmLWQzNjFlOGMzMWI5MCJ9.U0MBC0VQgOShNzkv3rkbG39DzWl8oJ8DWqpSkdOwYQZX5Ek-nt-FWUI0GWtKp8ROjZLiKy_WwX3Sagzw1U9I-w");
        Object o = redisTemplate.opsForValue().get("eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6Ijc3NmM5MDg1LTNhNWUtNGVlYS04YWVmLWQzNjFlOGMzMWI5MCJ9.U0MBC0VQgOShNzkv3rkbG39DzWl8oJ8DWqpSkdOwYQZX5Ek-nt-FWUI0GWtKp8ROjZLiKy_WwX3Sagzw1U9I-w");
        System.out.println(o);
    }
}
