package com.nokia.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 角色类
 */
@Data
@TableName("sqmdb_rpt.acl_role")
public class RoleEntity {
    @TableId(type = IdType.AUTO)
    private Integer roleId;
    private String roleName;
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    @TableField(exist = false)
    private List<UserEntity> userEntities;
}
