package com.nokia.dao;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.nokia.pojo.CityEntity;
import com.nokia.vo.FlowOrgVo;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
public class CityDaoTest {

    @Autowired
    private CityDao cityDao;

    @Test
    public void test() {
        List<CityEntity> cities = cityDao.selectList(Wrappers.query());
        System.out.println(cities);
    }

    @Test
    public void testFindOrgByCityId() {
        FlowOrgVo vo = cityDao.findOrgByCityId(130100);
        System.out.println(vo);
    }
}